org.apache.lucene.spatial.spatial4j

## Class Geo3dDistanceCalculator

- java.lang.Object
- - org.apache.lucene.spatial.spatial4j.Geo3dDistanceCalculator

All Implemented Interfaces:
  org.locationtech.spatial4j.distance.DistanceCalculator

    public class Geo3dDistanceCalculator
    extends Object
    implements org.locationtech.spatial4j.distance.DistanceCalculator

Geo3d implementation of `DistanceCalculator`

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

Fields
`protected PlanetModel` `planetModel`

### Constructor Summary

Constructors
Constructor and Description
`Geo3dDistanceCalculator(PlanetModel planetModel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `area(org.locationtech.spatial4j.shape.Circle circle)`
`double` `area(org.locationtech.spatial4j.shape.Rectangle rect)`
`double` `calcBoxByDistFromPt_yHorizAxisDEG(org.locationtech.spatial4j.shape.Point from, double distDEG, org.locationtech.spatial4j.context.SpatialContext ctx)`
`org.locationtech.spatial4j.shape.Rectangle` `calcBoxByDistFromPt(org.locationtech.spatial4j.shape.Point from, double distDEG, org.locationtech.spatial4j.context.SpatialContext ctx, org.locationtech.spatial4j.shape.Rectangle reuse)`
`double` `distance(org.locationtech.spatial4j.shape.Point from, double toX, double toY)`
`double` `distance(org.locationtech.spatial4j.shape.Point from, org.locationtech.spatial4j.shape.Point to)`
`org.locationtech.spatial4j.shape.Point` `pointOnBearing(org.locationtech.spatial4j.shape.Point from, double distDEG, double bearingDEG, org.locationtech.spatial4j.context.SpatialContext ctx, org.locationtech.spatial4j.shape.Point reuse)`
`boolean` `within(org.locationtech.spatial4j.shape.Point from, double toX, double toY, double distance)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### planetModel

    protected final PlanetModel planetModel

### Constructor Detail

#### Geo3dDistanceCalculator

    public Geo3dDistanceCalculator(PlanetModel planetModel)

### Method Detail

#### distance

    public double distance(org.locationtech.spatial4j.shape.Point from,
                           org.locationtech.spatial4j.shape.Point to)

Specified by:
  `distance` in interface `org.locationtech.spatial4j.distance.DistanceCalculator`

#### distance

    public double distance(org.locationtech.spatial4j.shape.Point from,
                           double toX,
                           double toY)

Specified by:
  `distance` in interface `org.locationtech.spatial4j.distance.DistanceCalculator`

#### within

    public boolean within(org.locationtech.spatial4j.shape.Point from,
                          double toX,
                          double toY,
                          double distance)

Specified by:
  `within` in interface `org.locationtech.spatial4j.distance.DistanceCalculator`

#### pointOnBearing

    public org.locationtech.spatial4j.shape.Point pointOnBearing(org.locationtech.spatial4j.shape.Point from,
                                                                 double distDEG,
                                                                 double bearingDEG,
                                                                 org.locationtech.spatial4j.context.SpatialContext ctx,
                                                                 org.locationtech.spatial4j.shape.Point reuse)

Specified by:
  `pointOnBearing` in interface `org.locationtech.spatial4j.distance.DistanceCalculator`

#### calcBoxByDistFromPt

    public org.locationtech.spatial4j.shape.Rectangle calcBoxByDistFromPt(org.locationtech.spatial4j.shape.Point from,
                                                                          double distDEG,
                                                                          org.locationtech.spatial4j.context.SpatialContext ctx,
                                                                          org.locationtech.spatial4j.shape.Rectangle reuse)

Specified by:
  `calcBoxByDistFromPt` in interface `org.locationtech.spatial4j.distance.DistanceCalculator`

#### calcBoxByDistFromPt_yHorizAxisDEG

    public double calcBoxByDistFromPt_yHorizAxisDEG(org.locationtech.spatial4j.shape.Point from,
                                                    double distDEG,
                                                    org.locationtech.spatial4j.context.SpatialContext ctx)

Specified by:
  `calcBoxByDistFromPt_yHorizAxisDEG` in interface `org.locationtech.spatial4j.distance.DistanceCalculator`

#### area

    public double area(org.locationtech.spatial4j.shape.Rectangle rect)

Specified by:
  `area` in interface `org.locationtech.spatial4j.distance.DistanceCalculator`

#### area

    public double area(org.locationtech.spatial4j.shape.Circle circle)

Specified by:
  `area` in interface `org.locationtech.spatial4j.distance.DistanceCalculator`